#
# spec file for package dunst
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dunst
Version:        1.1.0
Release:        5.1
Summary:        A customizable and lightweight notification-daemon
License:        BSD-3-Clause
Group:          System/GUI/Other
Url:            http://www.knopwob.org/dunst/
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  xorg-x11-libs
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-egl)
BuildRequires:  pkgconfig(cairo-fc)
BuildRequires:  pkgconfig(cairo-ft)
BuildRequires:  pkgconfig(cairo-gl)
BuildRequires:  pkgconfig(cairo-glx)
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(cairo-pdf)
BuildRequires:  pkgconfig(cairo-png)
BuildRequires:  pkgconfig(cairo-ps)
BuildRequires:  pkgconfig(cairo-script)
BuildRequires:  pkgconfig(cairo-svg)
BuildRequires:  pkgconfig(cairo-tee)
BuildRequires:  pkgconfig(cairo-xcb)
BuildRequires:  pkgconfig(cairo-xcb-shm)
BuildRequires:  pkgconfig(cairo-xlib)
BuildRequires:  pkgconfig(cairo-xlib-xrender)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(gmodule-no-export-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(pangoft2)
BuildRequires:  pkgconfig(pangoxft)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dunst is a lightweight replacement for the notification-daemons provided by most desktop environments. It's very customizable, doesn't depend on any toolkits and therefore fits in those windowmanager centric setups we all love to customize to perfection.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
make PREFIX=%{buildroot}/%{_prefix} install
sed -i.bak -e 's/Exec.*/Exec=\/usr\/bin\/dunst/' %{buildroot}/%{_datadir}/dbus-1/services/org.knopwob.dunst.service
rm %{buildroot}/%{_datadir}/dbus-1/services/org.knopwob.dunst.service.bak

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE
%{_bindir}/dunst
%{_datadir}/dbus-1/services/org.knopwob.dunst.service
%{_datadir}/dunst
%{_mandir}/man1/dunst.1.gz

%changelog
* Thu Jun 18 2015 mimi.vx@gmail.com
- update to 1.1.0
  * bugfixes ( memmory leak on Spotify )
  * icons
- spec-cleaned
* Wed May 29 2013 fcastelli@suse.com
- created initial package (1.0.0)
